package com.qiaoba.api.auth.service;

import org.springframework.security.core.userdetails.UserDetails;

/**
 * SysUserDetails 对外暴露接口
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/19 17:17
 */
public interface SysUserDetailsApiService {

    /**
     * 查询UserDetails 并缓存到Redis中
     *
     * @param username username
     * @return UserDetails
     */
    UserDetails toCache(String username, String deviceSn);

    /**
     * 从缓存中删除
     *
     * @param username username
     * @param deviceSn deviceSn
     */
    void deleteCache(String username, String deviceSn);
}
