package com.qiaoba.api.system.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qiaoba.common.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 字典数据 sys_dict_data
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_dict_data")
public class SysDictData extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @Excel(name = "字典编码", width = 20)
    @TableId
    private String dictCode;

    @Excel(name = "字典排序", width = 20)
    private Long dictSort;

    @Excel(name = "字典标签", width = 20)
    private String dictLabel;

    @Excel(name = "字典键值", width = 20)
    private String dictValue;

    @Excel(name = "字典类型", width = 20)
    private String dictType;

    private String cssClass;

    private String listClass;

    @Excel(name = "是否默认", width = 20, replace = {"是_Y", "否_N"})
    private String isDefault;

    @Excel(name = "状态", width = 20, replace = {"正常_1", "停用_0"})
    private String status;

}
